VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "mapfile"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False

Public File As String
Dim numitems As Long

Private names(0 To 800) As String
Private types(0 To 800) As String



Function read()

    Dim var As String
    Dim strs() As String
    Dim i As Long
    
    
    Open File For Binary Access Read As 136
    Line Input #136, var
    i = 0
    For i = 0 To 800
        If EOF(136) = True Then
            Exit For
        End If
        
        Line Input #136, var
        strs = Split(var, ",", 6)
        types(i) = strs(1)
        names(i) = "[" + strs(3) + "] " + strs(4)
    Next
    numitems = i ' set the number of items read
    Close 136
End Function

Function getname(ByVal i As Long) As String
    If i < 0 Or i >= numitems Then
        getname = "OOR"
    Else
        getname = names(i)
    End If
End Function


Function gettype(ByVal i As Long) As String

    If i < 0 Or i >= numitems Then
        gettype = "OOR"
    Else
        gettype = types(i)
    End If
End Function

